<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%= toolbar title: "#{t(:button_change_parent_page)}: #{@page.title}" %>

<% html_title t('activerecord.models.wiki'), t(:button_change_parent_page) %>
<% breadcrumb_paths(*(@page.ancestors.reverse.collect { |parent| link_to h(parent.breadcrumb_title), {id: parent, project_id: parent.project}} + [h(@page.breadcrumb_title)] )) %>
<%= error_messages_for 'page' %>

<%= labelled_tabular_form_for @page, url: { id: @page, action: 'update_parent_page' } do |f| %>
  <div class='form--field'>
    <%= f.select :parent_id,
                 wiki_page_options_for_select(@parent_pages),
                 { label: WikiPage.human_attribute_name(:parent_title), include_blank: false, container_class: '-wide' } %>
  </div>

  <%= nonced_javascript_tag  do -%>
    jQuery(function() {
        var parent_select = jQuery('#wiki_page_parent_id');
        parent_select.attr('size', parent_select.children().length);
      }
    ));
  <% end -%>
  <%= submit_tag t(:button_save), class: 'button -primary' %>
<% end %>
